;;; mastodon.scm -- Send new statuses.
;;; Copyright © 2021 Mathieu Othacehe <othacehe@gnu.org>
;;;
;;; This file is part of Cuirass.
;;;
;;; GNU Guix is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; GNU Guix is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.

(define-module (cuirass mastodon)
  #:use-module (cuirass parameters)
  #:use-module (mastodon)
  #:use-module (mastodon types)
  #:export (send-status))

(define (send-status text)
  "Send a new status with the given TEXT to the instance named INSTANCE-NAME
at the INSTANCE-URL address.  Use the given INSTANCE-TOKEN to authenticate."
  (let ((instance (make-mastodon (%mastodon-instance-name)
                                 (%mastodon-instance-url)
                                 (%mastodon-instance-token))))
    (new-status instance #:status text)))
